import{s as Zs,o as zs,n as Qs}from"../chunks/scheduler.bdbef820.js";import{S as Ks,i as tl,g,s as n,r as d,A as el,h as i,f as s,c as a,j as c,u as p,x as o,k as h,y as r,a as l,v as f,d as m,t as u,w as $}from"../chunks/index.c0aea24a.js";import{H,g as sl}from"../chunks/Heading.aab2beda.js";import{T as ll}from"../chunks/Tip.31005f7d.js";import{D as w}from"../chunks/Docstring.bc06628a.js";import{C as Ys}from"../chunks/CodeBlock.6ccca92e.js";function nl(zt){let b,j="HuggingFace datasets library has following logging levels:",I,T,E="<li><code>datasets.logging.CRITICAL</code>, <code>datasets.logging.FATAL</code></li> <li><code>datasets.logging.ERROR</code></li> <li><code>datasets.logging.WARNING</code>, <code>datasets.logging.WARN</code></li> <li><code>datasets.logging.INFO</code></li> <li><code>datasets.logging.DEBUG</code></li>";return{c(){b=g("p"),b.textContent=j,I=n(),T=g("ul"),T.innerHTML=E},l(v){b=i(v,"P",{"data-svelte-h":!0}),o(b)!=="svelte-r93nwj"&&(b.textContent=j),I=a(v),T=i(v,"UL",{"data-svelte-h":!0}),o(T)!=="svelte-duiyvy"&&(T.innerHTML=E)},m(v,L){l(v,b,L),l(v,I,L),l(v,T,L)},p:Qs,d(v){v&&(s(b),s(I),s(T))}}}function al(zt){let b,j,I,T,E,v,L,ms="🤗 Datasets strives to be transparent and explicit about how it works, but this can be quite verbose at times. We have included a series of logging methods which allow you to easily adjust the level of verbosity of the entire library. Currently the default verbosity of the library is set to <code>WARNING</code>.",Qt,B,us="To change the level of verbosity, use one of the direct setters. For instance, here is how to change the verbosity to the <code>INFO</code> level:",Kt,U,te,J,$s="You can also use the environment variable <code>DATASETS_VERBOSITY</code> to override the default verbosity, and set it to one of the following: <code>debug</code>, <code>info</code>, <code>warning</code>, <code>error</code>, <code>critical</code>:",ee,X,se,Y,bs="All the methods of this logging module are documented below. The main ones are:",le,Z,vs='<li><a href="/docs/datasets/v2.14.7/en/package_reference/logging_methods#datasets.utils.logging.get_verbosity">logging.get_verbosity()</a> to get the current level of verbosity in the logger</li> <li><a href="/docs/datasets/v2.14.7/en/package_reference/logging_methods#datasets.utils.logging.set_verbosity">logging.set_verbosity()</a> to set the verbosity to the level of your choice</li>',ne,z,cs="In order from the least to the most verbose (with their corresponding <code>int</code> values):",ae,Q,hs="<li><code>logging.CRITICAL</code> or <code>logging.FATAL</code> (int value, 50): only report the most critical errors.</li> <li><code>logging.ERROR</code> (int value, 40): only report errors.</li> <li><code>logging.WARNING</code> or <code>logging.WARN</code> (int value, 30): only reports error and warnings. This the default level used by the library.</li> <li><code>logging.INFO</code> (int value, 20): reports error, warnings and basic information.</li> <li><code>logging.DEBUG</code> (int value, 10): report all information.</li>",ge,K,_s='By default, <code>tqdm</code> progress bars will be displayed during dataset download and preprocessing. <a href="/docs/datasets/v2.14.7/en/package_reference/logging_methods#datasets.disable_progress_bar">logging.disable_progress_bar()</a> and <a href="/docs/datasets/v2.14.7/en/package_reference/logging_methods#datasets.enable_progress_bar">logging.enable_progress_bar()</a> can be used to suppress or unsuppress this behavior.',ie,tt,re,R,et,Ue,Et,xs="Return the current level for the HuggingFace datasets library’s root logger.",Je,V,oe,P,st,Xe,Pt,ys="Set the level for the Hugging Face Datasets library’s root logger.",de,_,lt,Ye,Nt,Cs="Set the level for the Hugging Face datasets library’s root logger to <code>INFO</code>.",Ze,Mt,Ts="This will display most of the logging information and tqdm bars.",ze,At,ws="Shortcut to <code>datasets.logging.set_verbosity(datasets.logging.INFO)</code>.",pe,x,nt,Qe,Ft,Ls="Set the level for the Hugging Face datasets library’s root logger to <code>WARNING</code>.",Ke,Dt,Rs="This will display only the warning and errors logging information and tqdm bars.",ts,Ot,Hs="Shortcut to <code>datasets.logging.set_verbosity(datasets.logging.WARNING)</code>.",fe,y,at,es,St,Is="Set the level for the Hugging Face datasets library’s root logger to <code>DEBUG</code>.",ss,Vt,Es="This will display all the logging information and tqdm bars.",ls,Gt,Ps="Shortcut to <code>datasets.logging.set_verbosity(datasets.logging.DEBUG)</code>.",me,C,gt,ns,Wt,Ns="Set the level for the Hugging Face datasets library’s root logger to <code>ERROR</code>.",as,kt,Ms="This will display only the errors logging information and tqdm bars.",gs,qt,As="Shortcut to <code>datasets.logging.set_verbosity(datasets.logging.ERROR)</code>.",ue,N,it,is,jt,Fs=`Disable propagation of the library log outputs.
Note that log propagation is disabled by default.`,$e,M,rt,rs,Bt,Ds=`Enable propagation of the library log outputs.
Please disable the Hugging Face datasets library’s default handler to prevent double logging if the root logger has
been configured.`,be,A,ot,os,Ut,Os=`Return a logger with the specified name.
This function can be used in dataset scripts.`,ve,F,dt,ds,Jt,Ss="Enable tqdm progress bar.",ce,D,pt,ps,Xt,Vs="Disable tqdm progress bar.",he,O,ft,fs,Yt,Gs="Return a boolean indicating whether tqdm progress bars are enabled.",_e,mt,xe,ut,ye,$t,Ws="datasets.logging.CRITICAL = 50",Ce,bt,Te,vt,ks="datasets.logging.DEBUG = 10",we,ct,Le,ht,qs="datasets.logging.ERROR = 40",Re,_t,He,xt,js="datasets.logging.FATAL = 50",Ie,yt,Ee,Ct,Bs="datasets.logging.INFO = 20",Pe,Tt,Ne,wt,Us="datasets.logging.NOTSET = 0",Me,Lt,Ae,Rt,Js="datasets.logging.WARN = 30",Fe,Ht,De,It,Xs="datasets.logging.WARNING = 30",Oe,Zt,Se;return E=new H({props:{title:"Logging methods",local:"logging-methods",headingTag:"h1"}}),U=new Ys({props:{code:"aW1wb3J0JTIwZGF0YXNldHMlMEFkYXRhc2V0cy5sb2dnaW5nLnNldF92ZXJib3NpdHlfaW5mbygp",highlighted:`<span class="hljs-keyword">import</span> datasets
datasets.logging.set_verbosity_info()`,wrap:!1}}),X=new Ys({props:{code:"REFUQVNFVFNfVkVSQk9TSVRZJTNEZXJyb3IlMjAuJTJGbXlwcm9ncmFtLnB5",highlighted:"DATASETS_VERBOSITY=error ./myprogram.py",wrap:!1}}),tt=new H({props:{title:"Functions",local:"datasets.utils.logging.get_verbosity",headingTag:"h2"}}),et=new w({props:{name:"datasets.utils.logging.get_verbosity",anchor:"datasets.utils.logging.get_verbosity",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L90",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Logging level, e.g., <code>datasets.logging.DEBUG</code> and <code>datasets.logging.INFO</code>.</p>
`}}),V=new ll({props:{$$slots:{default:[nl]},$$scope:{ctx:zt}}}),st=new w({props:{name:"datasets.utils.logging.set_verbosity",anchor:"datasets.utils.logging.set_verbosity",parameters:[{name:"verbosity",val:": int"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L109"}}),lt=new w({props:{name:"datasets.utils.logging.set_verbosity_info",anchor:"datasets.utils.logging.set_verbosity_info",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L118"}}),nt=new w({props:{name:"datasets.utils.logging.set_verbosity_warning",anchor:"datasets.utils.logging.set_verbosity_warning",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L128"}}),at=new w({props:{name:"datasets.utils.logging.set_verbosity_debug",anchor:"datasets.utils.logging.set_verbosity_debug",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L138"}}),gt=new w({props:{name:"datasets.utils.logging.set_verbosity_error",anchor:"datasets.utils.logging.set_verbosity_error",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L148"}}),it=new w({props:{name:"datasets.utils.logging.disable_propagation",anchor:"datasets.utils.logging.disable_propagation",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L158"}}),rt=new w({props:{name:"datasets.utils.logging.enable_propagation",anchor:"datasets.utils.logging.enable_propagation",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L165"}}),ot=new w({props:{name:"datasets.utils.logging.get_logger",anchor:"datasets.utils.logging.get_logger",parameters:[{name:"name",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L81"}}),dt=new w({props:{name:"datasets.enable_progress_bar",anchor:"datasets.enable_progress_bar",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L238"}}),pt=new w({props:{name:"datasets.disable_progress_bar",anchor:"datasets.disable_progress_bar",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L244"}}),ft=new w({props:{name:"datasets.is_progress_bar_enabled",anchor:"datasets.is_progress_bar_enabled",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/utils/logging.py#L232"}}),mt=new H({props:{title:"Levels",local:"levels",headingTag:"h2"}}),ut=new H({props:{title:"datasets.logging.CRITICAL",local:"datasetsloggingcritical",headingTag:"h3"}}),bt=new H({props:{title:"datasets.logging.DEBUG",local:"datasetsloggingdebug",headingTag:"h3"}}),ct=new H({props:{title:"datasets.logging.ERROR",local:"datasetsloggingerror",headingTag:"h3"}}),_t=new H({props:{title:"datasets.logging.FATAL",local:"datasetsloggingfatal",headingTag:"h3"}}),yt=new H({props:{title:"datasets.logging.INFO",local:"datasetslogginginfo",headingTag:"h3"}}),Tt=new H({props:{title:"datasets.logging.NOTSET",local:"datasetsloggingnotset",headingTag:"h3"}}),Lt=new H({props:{title:"datasets.logging.WARN",local:"datasetsloggingwarn",headingTag:"h3"}}),Ht=new H({props:{title:"datasets.logging.WARNING",local:"datasetsloggingwarning",headingTag:"h3"}}),{c(){b=g("meta"),j=n(),I=g("p"),T=n(),d(E.$$.fragment),v=n(),L=g("p"),L.innerHTML=ms,Qt=n(),B=g("p"),B.innerHTML=us,Kt=n(),d(U.$$.fragment),te=n(),J=g("p"),J.innerHTML=$s,ee=n(),d(X.$$.fragment),se=n(),Y=g("p"),Y.textContent=bs,le=n(),Z=g("ul"),Z.innerHTML=vs,ne=n(),z=g("p"),z.innerHTML=cs,ae=n(),Q=g("ol"),Q.innerHTML=hs,ge=n(),K=g("p"),K.innerHTML=_s,ie=n(),d(tt.$$.fragment),re=n(),R=g("div"),d(et.$$.fragment),Ue=n(),Et=g("p"),Et.textContent=xs,Je=n(),d(V.$$.fragment),oe=n(),P=g("div"),d(st.$$.fragment),Xe=n(),Pt=g("p"),Pt.textContent=ys,de=n(),_=g("div"),d(lt.$$.fragment),Ye=n(),Nt=g("p"),Nt.innerHTML=Cs,Ze=n(),Mt=g("p"),Mt.textContent=Ts,ze=n(),At=g("p"),At.innerHTML=ws,pe=n(),x=g("div"),d(nt.$$.fragment),Qe=n(),Ft=g("p"),Ft.innerHTML=Ls,Ke=n(),Dt=g("p"),Dt.textContent=Rs,ts=n(),Ot=g("p"),Ot.innerHTML=Hs,fe=n(),y=g("div"),d(at.$$.fragment),es=n(),St=g("p"),St.innerHTML=Is,ss=n(),Vt=g("p"),Vt.textContent=Es,ls=n(),Gt=g("p"),Gt.innerHTML=Ps,me=n(),C=g("div"),d(gt.$$.fragment),ns=n(),Wt=g("p"),Wt.innerHTML=Ns,as=n(),kt=g("p"),kt.textContent=Ms,gs=n(),qt=g("p"),qt.innerHTML=As,ue=n(),N=g("div"),d(it.$$.fragment),is=n(),jt=g("p"),jt.textContent=Fs,$e=n(),M=g("div"),d(rt.$$.fragment),rs=n(),Bt=g("p"),Bt.textContent=Ds,be=n(),A=g("div"),d(ot.$$.fragment),os=n(),Ut=g("p"),Ut.textContent=Os,ve=n(),F=g("div"),d(dt.$$.fragment),ds=n(),Jt=g("p"),Jt.textContent=Ss,ce=n(),D=g("div"),d(pt.$$.fragment),ps=n(),Xt=g("p"),Xt.textContent=Vs,he=n(),O=g("div"),d(ft.$$.fragment),fs=n(),Yt=g("p"),Yt.textContent=Gs,_e=n(),d(mt.$$.fragment),xe=n(),d(ut.$$.fragment),ye=n(),$t=g("p"),$t.textContent=Ws,Ce=n(),d(bt.$$.fragment),Te=n(),vt=g("p"),vt.textContent=ks,we=n(),d(ct.$$.fragment),Le=n(),ht=g("p"),ht.textContent=qs,Re=n(),d(_t.$$.fragment),He=n(),xt=g("p"),xt.textContent=js,Ie=n(),d(yt.$$.fragment),Ee=n(),Ct=g("p"),Ct.textContent=Bs,Pe=n(),d(Tt.$$.fragment),Ne=n(),wt=g("p"),wt.textContent=Us,Me=n(),d(Lt.$$.fragment),Ae=n(),Rt=g("p"),Rt.textContent=Js,Fe=n(),d(Ht.$$.fragment),De=n(),It=g("p"),It.textContent=Xs,Oe=n(),Zt=g("p"),this.h()},l(t){const e=el("svelte-u9bgzb",document.head);b=i(e,"META",{name:!0,content:!0}),e.forEach(s),j=a(t),I=i(t,"P",{}),c(I).forEach(s),T=a(t),p(E.$$.fragment,t),v=a(t),L=i(t,"P",{"data-svelte-h":!0}),o(L)!=="svelte-4r57a3"&&(L.innerHTML=ms),Qt=a(t),B=i(t,"P",{"data-svelte-h":!0}),o(B)!=="svelte-1p4463y"&&(B.innerHTML=us),Kt=a(t),p(U.$$.fragment,t),te=a(t),J=i(t,"P",{"data-svelte-h":!0}),o(J)!=="svelte-1fa79pe"&&(J.innerHTML=$s),ee=a(t),p(X.$$.fragment,t),se=a(t),Y=i(t,"P",{"data-svelte-h":!0}),o(Y)!=="svelte-1x0c7ca"&&(Y.textContent=bs),le=a(t),Z=i(t,"UL",{"data-svelte-h":!0}),o(Z)!=="svelte-135jzvz"&&(Z.innerHTML=vs),ne=a(t),z=i(t,"P",{"data-svelte-h":!0}),o(z)!=="svelte-13fj4ey"&&(z.innerHTML=cs),ae=a(t),Q=i(t,"OL",{"data-svelte-h":!0}),o(Q)!=="svelte-xxo2tl"&&(Q.innerHTML=hs),ge=a(t),K=i(t,"P",{"data-svelte-h":!0}),o(K)!=="svelte-16x4w1e"&&(K.innerHTML=_s),ie=a(t),p(tt.$$.fragment,t),re=a(t),R=i(t,"DIV",{class:!0});var S=c(R);p(et.$$.fragment,S),Ue=a(S),Et=i(S,"P",{"data-svelte-h":!0}),o(Et)!=="svelte-18ib658"&&(Et.textContent=xs),Je=a(S),p(V.$$.fragment,S),S.forEach(s),oe=a(t),P=i(t,"DIV",{class:!0});var Ve=c(P);p(st.$$.fragment,Ve),Xe=a(Ve),Pt=i(Ve,"P",{"data-svelte-h":!0}),o(Pt)!=="svelte-b52uxh"&&(Pt.textContent=ys),Ve.forEach(s),de=a(t),_=i(t,"DIV",{class:!0});var G=c(_);p(lt.$$.fragment,G),Ye=a(G),Nt=i(G,"P",{"data-svelte-h":!0}),o(Nt)!=="svelte-mg8kj1"&&(Nt.innerHTML=Cs),Ze=a(G),Mt=i(G,"P",{"data-svelte-h":!0}),o(Mt)!=="svelte-dg4whn"&&(Mt.textContent=Ts),ze=a(G),At=i(G,"P",{"data-svelte-h":!0}),o(At)!=="svelte-i2neqd"&&(At.innerHTML=ws),G.forEach(s),pe=a(t),x=i(t,"DIV",{class:!0});var W=c(x);p(nt.$$.fragment,W),Qe=a(W),Ft=i(W,"P",{"data-svelte-h":!0}),o(Ft)!=="svelte-4vp1wh"&&(Ft.innerHTML=Ls),Ke=a(W),Dt=i(W,"P",{"data-svelte-h":!0}),o(Dt)!=="svelte-1pfy8p7"&&(Dt.textContent=Rs),ts=a(W),Ot=i(W,"P",{"data-svelte-h":!0}),o(Ot)!=="svelte-1eiwilb"&&(Ot.innerHTML=Hs),W.forEach(s),fe=a(t),y=i(t,"DIV",{class:!0});var k=c(y);p(at.$$.fragment,k),es=a(k),St=i(k,"P",{"data-svelte-h":!0}),o(St)!=="svelte-514jjc"&&(St.innerHTML=Is),ss=a(k),Vt=i(k,"P",{"data-svelte-h":!0}),o(Vt)!=="svelte-11rx1ug"&&(Vt.textContent=Es),ls=a(k),Gt=i(k,"P",{"data-svelte-h":!0}),o(Gt)!=="svelte-10nodmo"&&(Gt.innerHTML=Ps),k.forEach(s),me=a(t),C=i(t,"DIV",{class:!0});var q=c(C);p(gt.$$.fragment,q),ns=a(q),Wt=i(q,"P",{"data-svelte-h":!0}),o(Wt)!=="svelte-g05jib"&&(Wt.innerHTML=Ns),as=a(q),kt=i(q,"P",{"data-svelte-h":!0}),o(kt)!=="svelte-j1bk4g"&&(kt.textContent=Ms),gs=a(q),qt=i(q,"P",{"data-svelte-h":!0}),o(qt)!=="svelte-1h8uwfx"&&(qt.innerHTML=As),q.forEach(s),ue=a(t),N=i(t,"DIV",{class:!0});var Ge=c(N);p(it.$$.fragment,Ge),is=a(Ge),jt=i(Ge,"P",{"data-svelte-h":!0}),o(jt)!=="svelte-781arq"&&(jt.textContent=Fs),Ge.forEach(s),$e=a(t),M=i(t,"DIV",{class:!0});var We=c(M);p(rt.$$.fragment,We),rs=a(We),Bt=i(We,"P",{"data-svelte-h":!0}),o(Bt)!=="svelte-mcsadr"&&(Bt.textContent=Ds),We.forEach(s),be=a(t),A=i(t,"DIV",{class:!0});var ke=c(A);p(ot.$$.fragment,ke),os=a(ke),Ut=i(ke,"P",{"data-svelte-h":!0}),o(Ut)!=="svelte-1ft1iu6"&&(Ut.textContent=Os),ke.forEach(s),ve=a(t),F=i(t,"DIV",{class:!0});var qe=c(F);p(dt.$$.fragment,qe),ds=a(qe),Jt=i(qe,"P",{"data-svelte-h":!0}),o(Jt)!=="svelte-1n9lbl5"&&(Jt.textContent=Ss),qe.forEach(s),ce=a(t),D=i(t,"DIV",{class:!0});var je=c(D);p(pt.$$.fragment,je),ps=a(je),Xt=i(je,"P",{"data-svelte-h":!0}),o(Xt)!=="svelte-4qd7jw"&&(Xt.textContent=Vs),je.forEach(s),he=a(t),O=i(t,"DIV",{class:!0});var Be=c(O);p(ft.$$.fragment,Be),fs=a(Be),Yt=i(Be,"P",{"data-svelte-h":!0}),o(Yt)!=="svelte-1105kb4"&&(Yt.textContent=Gs),Be.forEach(s),_e=a(t),p(mt.$$.fragment,t),xe=a(t),p(ut.$$.fragment,t),ye=a(t),$t=i(t,"P",{"data-svelte-h":!0}),o($t)!=="svelte-rb9c5p"&&($t.textContent=Ws),Ce=a(t),p(bt.$$.fragment,t),Te=a(t),vt=i(t,"P",{"data-svelte-h":!0}),o(vt)!=="svelte-eyg1r9"&&(vt.textContent=ks),we=a(t),p(ct.$$.fragment,t),Le=a(t),ht=i(t,"P",{"data-svelte-h":!0}),o(ht)!=="svelte-15plwpn"&&(ht.textContent=qs),Re=a(t),p(_t.$$.fragment,t),He=a(t),xt=i(t,"P",{"data-svelte-h":!0}),o(xt)!=="svelte-d3og76"&&(xt.textContent=js),Ie=a(t),p(yt.$$.fragment,t),Ee=a(t),Ct=i(t,"P",{"data-svelte-h":!0}),o(Ct)!=="svelte-1tqurlp"&&(Ct.textContent=Bs),Pe=a(t),p(Tt.$$.fragment,t),Ne=a(t),wt=i(t,"P",{"data-svelte-h":!0}),o(wt)!=="svelte-14nr31s"&&(wt.textContent=Us),Me=a(t),p(Lt.$$.fragment,t),Ae=a(t),Rt=i(t,"P",{"data-svelte-h":!0}),o(Rt)!=="svelte-1hih3wa"&&(Rt.textContent=Js),Fe=a(t),p(Ht.$$.fragment,t),De=a(t),It=i(t,"P",{"data-svelte-h":!0}),o(It)!=="svelte-1q6trxu"&&(It.textContent=Xs),Oe=a(t),Zt=i(t,"P",{}),c(Zt).forEach(s),this.h()},h(){h(b,"name","hf:doc:metadata"),h(b,"content",gl),h(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,e){r(document.head,b),l(t,j,e),l(t,I,e),l(t,T,e),f(E,t,e),l(t,v,e),l(t,L,e),l(t,Qt,e),l(t,B,e),l(t,Kt,e),f(U,t,e),l(t,te,e),l(t,J,e),l(t,ee,e),f(X,t,e),l(t,se,e),l(t,Y,e),l(t,le,e),l(t,Z,e),l(t,ne,e),l(t,z,e),l(t,ae,e),l(t,Q,e),l(t,ge,e),l(t,K,e),l(t,ie,e),f(tt,t,e),l(t,re,e),l(t,R,e),f(et,R,null),r(R,Ue),r(R,Et),r(R,Je),f(V,R,null),l(t,oe,e),l(t,P,e),f(st,P,null),r(P,Xe),r(P,Pt),l(t,de,e),l(t,_,e),f(lt,_,null),r(_,Ye),r(_,Nt),r(_,Ze),r(_,Mt),r(_,ze),r(_,At),l(t,pe,e),l(t,x,e),f(nt,x,null),r(x,Qe),r(x,Ft),r(x,Ke),r(x,Dt),r(x,ts),r(x,Ot),l(t,fe,e),l(t,y,e),f(at,y,null),r(y,es),r(y,St),r(y,ss),r(y,Vt),r(y,ls),r(y,Gt),l(t,me,e),l(t,C,e),f(gt,C,null),r(C,ns),r(C,Wt),r(C,as),r(C,kt),r(C,gs),r(C,qt),l(t,ue,e),l(t,N,e),f(it,N,null),r(N,is),r(N,jt),l(t,$e,e),l(t,M,e),f(rt,M,null),r(M,rs),r(M,Bt),l(t,be,e),l(t,A,e),f(ot,A,null),r(A,os),r(A,Ut),l(t,ve,e),l(t,F,e),f(dt,F,null),r(F,ds),r(F,Jt),l(t,ce,e),l(t,D,e),f(pt,D,null),r(D,ps),r(D,Xt),l(t,he,e),l(t,O,e),f(ft,O,null),r(O,fs),r(O,Yt),l(t,_e,e),f(mt,t,e),l(t,xe,e),f(ut,t,e),l(t,ye,e),l(t,$t,e),l(t,Ce,e),f(bt,t,e),l(t,Te,e),l(t,vt,e),l(t,we,e),f(ct,t,e),l(t,Le,e),l(t,ht,e),l(t,Re,e),f(_t,t,e),l(t,He,e),l(t,xt,e),l(t,Ie,e),f(yt,t,e),l(t,Ee,e),l(t,Ct,e),l(t,Pe,e),f(Tt,t,e),l(t,Ne,e),l(t,wt,e),l(t,Me,e),f(Lt,t,e),l(t,Ae,e),l(t,Rt,e),l(t,Fe,e),f(Ht,t,e),l(t,De,e),l(t,It,e),l(t,Oe,e),l(t,Zt,e),Se=!0},p(t,[e]){const S={};e&2&&(S.$$scope={dirty:e,ctx:t}),V.$set(S)},i(t){Se||(m(E.$$.fragment,t),m(U.$$.fragment,t),m(X.$$.fragment,t),m(tt.$$.fragment,t),m(et.$$.fragment,t),m(V.$$.fragment,t),m(st.$$.fragment,t),m(lt.$$.fragment,t),m(nt.$$.fragment,t),m(at.$$.fragment,t),m(gt.$$.fragment,t),m(it.$$.fragment,t),m(rt.$$.fragment,t),m(ot.$$.fragment,t),m(dt.$$.fragment,t),m(pt.$$.fragment,t),m(ft.$$.fragment,t),m(mt.$$.fragment,t),m(ut.$$.fragment,t),m(bt.$$.fragment,t),m(ct.$$.fragment,t),m(_t.$$.fragment,t),m(yt.$$.fragment,t),m(Tt.$$.fragment,t),m(Lt.$$.fragment,t),m(Ht.$$.fragment,t),Se=!0)},o(t){u(E.$$.fragment,t),u(U.$$.fragment,t),u(X.$$.fragment,t),u(tt.$$.fragment,t),u(et.$$.fragment,t),u(V.$$.fragment,t),u(st.$$.fragment,t),u(lt.$$.fragment,t),u(nt.$$.fragment,t),u(at.$$.fragment,t),u(gt.$$.fragment,t),u(it.$$.fragment,t),u(rt.$$.fragment,t),u(ot.$$.fragment,t),u(dt.$$.fragment,t),u(pt.$$.fragment,t),u(ft.$$.fragment,t),u(mt.$$.fragment,t),u(ut.$$.fragment,t),u(bt.$$.fragment,t),u(ct.$$.fragment,t),u(_t.$$.fragment,t),u(yt.$$.fragment,t),u(Tt.$$.fragment,t),u(Lt.$$.fragment,t),u(Ht.$$.fragment,t),Se=!1},d(t){t&&(s(j),s(I),s(T),s(v),s(L),s(Qt),s(B),s(Kt),s(te),s(J),s(ee),s(se),s(Y),s(le),s(Z),s(ne),s(z),s(ae),s(Q),s(ge),s(K),s(ie),s(re),s(R),s(oe),s(P),s(de),s(_),s(pe),s(x),s(fe),s(y),s(me),s(C),s(ue),s(N),s($e),s(M),s(be),s(A),s(ve),s(F),s(ce),s(D),s(he),s(O),s(_e),s(xe),s(ye),s($t),s(Ce),s(Te),s(vt),s(we),s(Le),s(ht),s(Re),s(He),s(xt),s(Ie),s(Ee),s(Ct),s(Pe),s(Ne),s(wt),s(Me),s(Ae),s(Rt),s(Fe),s(De),s(It),s(Oe),s(Zt)),s(b),$(E,t),$(U,t),$(X,t),$(tt,t),$(et),$(V),$(st),$(lt),$(nt),$(at),$(gt),$(it),$(rt),$(ot),$(dt),$(pt),$(ft),$(mt,t),$(ut,t),$(bt,t),$(ct,t),$(_t,t),$(yt,t),$(Tt,t),$(Lt,t),$(Ht,t)}}}const gl='{"title":"Logging methods","local":"logging-methods","sections":[{"title":"Functions","local":"datasets.utils.logging.get_verbosity","sections":[],"depth":2},{"title":"Levels","local":"levels","sections":[{"title":"datasets.logging.CRITICAL","local":"datasetsloggingcritical","sections":[],"depth":3},{"title":"datasets.logging.DEBUG","local":"datasetsloggingdebug","sections":[],"depth":3},{"title":"datasets.logging.ERROR","local":"datasetsloggingerror","sections":[],"depth":3},{"title":"datasets.logging.FATAL","local":"datasetsloggingfatal","sections":[],"depth":3},{"title":"datasets.logging.INFO","local":"datasetslogginginfo","sections":[],"depth":3},{"title":"datasets.logging.NOTSET","local":"datasetsloggingnotset","sections":[],"depth":3},{"title":"datasets.logging.WARN","local":"datasetsloggingwarn","sections":[],"depth":3},{"title":"datasets.logging.WARNING","local":"datasetsloggingwarning","sections":[],"depth":3}],"depth":2}],"depth":1}';function il(zt){return zs(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=sl}),[]}class ul extends Ks{constructor(b){super(),tl(this,b,il,al,Zs,{})}}export{ul as component};
