import{s as wt,o as Tt,n as bt}from"../chunks/scheduler.bdbef820.js";import{S as yt,i as kt,g as l,s as i,r as u,A as $t,h as n,f as a,c as d,j as _t,u as h,x as o,k as je,y as Lt,a as s,v as p,d as m,t as g,w as _}from"../chunks/index.c0aea24a.js";import{H as te,g as Ct}from"../chunks/Heading.aab2beda.js";import{T as vt}from"../chunks/Tip.31005f7d.js";function xt(ae){let r,c='Read the <a href="./upload_dataset">Share</a> section to learn more about how to share a dataset. This section also provides a step-by-step guide on how to write your own dataset loading script!';return{c(){r=l("p"),r.innerHTML=c},l(f){r=n(f,"P",{"data-svelte-h":!0}),o(r)!=="svelte-ktnbf3"&&(r.innerHTML=c)},m(f,v){s(f,r,v)},p:bt,d(f){f&&a(r)}}}function Mt(ae){let r,c='If it is your own dataset, you’ll need to recompute the information above and update the <code>README.md</code> file in your dataset repository. Take a look at this <a href="dataset_script#optional-generate-dataset-metadata">section</a> to learn how to generate and update this metadata.';return{c(){r=l("p"),r.innerHTML=c},l(f){r=n(f,"P",{"data-svelte-h":!0}),o(r)!=="svelte-1njk00f"&&(r.innerHTML=c)},m(f,v){s(f,r,v)},p:bt,d(f){f&&a(r)}}}function Ht(ae){let r,c,f,v,k,ie,$,Ge='Nearly every deep learning workflow begins with loading a dataset, which makes it one of the most important steps. With 🤗 Datasets, there are more than 900 datasets available to help you get started with your NLP task. All you have to do is call: <a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a> to take your first step. This function is a true workhorse in every sense because it builds and loads every dataset you use.',de,L,le,C,Ne="Let’s begin with a basic Explain Like I’m Five.",ne,x,We="A dataset is a directory that contains:",oe,M,ze="<li>Some data files in generic formats (JSON, CSV, Parquet, text, etc.)</li> <li>A dataset card named <code>README.md</code> that contains documentation about the dataset as well as a YAML header to define the datasets tags and configurations</li> <li>An optional dataset script if it requires some code to read the data files. This is sometimes used to load files of specific formats and structures.</li>",re,H,Oe=`The <a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a> function fetches the requested dataset locally or from the Hugging Face Hub.
The Hub is a central repository where all the Hugging Face datasets and models are stored.`,fe,B,Je=`If the dataset only contains data files, then <a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a> automatically infers how to load the data files from their extensions (json, csv, parquet, txt, etc.).
Under the hood, 🤗 Datasets will use an appropriate <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a> based on the data files format. There exist one builder per data file format in 🤗 Datasets:`,ce,D,Ve='<li><a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.packaged_modules.text.Text">datasets.packaged_modules.text.Text</a> for text</li> <li><a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.packaged_modules.csv.Csv">datasets.packaged_modules.csv.Csv</a> for CSV and TSV</li> <li><a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.packaged_modules.json.Json">datasets.packaged_modules.json.Json</a> for JSON and JSONL</li> <li><a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.packaged_modules.parquet.Parquet">datasets.packaged_modules.parquet.Parquet</a> for Parquet</li> <li><a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.packaged_modules.arrow.Arrow">datasets.packaged_modules.arrow.Arrow</a> for Arrow (streaming file format)</li> <li><a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.packaged_modules.sql.Sql">datasets.packaged_modules.sql.Sql</a> for SQL databases</li> <li><a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.packaged_modules.imagefolder.ImageFolder">datasets.packaged_modules.imagefolder.ImageFolder</a> for image folders</li> <li><a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.packaged_modules.audiofolder.AudioFolder">datasets.packaged_modules.audiofolder.AudioFolder</a> for audio folders</li>',ue,P,Ze=`If the dataset has a dataset script, then it downloads and imports it from the Hugging Face Hub.
Code in the dataset script defines a custom <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a> the dataset information (description, features, URL to the original files, etc.), and tells 🤗 Datasets how to generate and display examples from it.`,he,b,pe,q,Ye=`🤗 Datasets downloads the dataset files from the original URL, generates the dataset and caches it in an Arrow table on your drive.
If you’ve downloaded the dataset before, then 🤗 Datasets will reload it from the cache to save you the trouble of downloading it again.`,me,S,Qe="Now that you have a high-level understanding about how datasets are built, let’s take a closer look at the nuts and bolts of how all this works.",ge,A,_e,I,Ke='When you load a dataset for the first time, 🤗 Datasets takes the raw data file and builds it into a table of rows and typed columns. There are two main classes responsible for building a dataset: <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a> and <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a>.',ve,w,Xe='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/builderconfig.png"/>',be,E,we,F,et='<a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a> is the configuration class of <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a>. The <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a> contains the following basic attributes about a dataset:',Te,R,tt="<thead><tr><th>Attribute</th> <th>Description</th></tr></thead> <tbody><tr><td><code>name</code></td> <td>Short name of the dataset.</td></tr> <tr><td><code>version</code></td> <td>Dataset version identifier.</td></tr> <tr><td><code>data_dir</code></td> <td>Stores the path to a local folder containing the data files.</td></tr> <tr><td><code>data_files</code></td> <td>Stores paths to local data files.</td></tr> <tr><td><code>description</code></td> <td>Description of the dataset.</td></tr></tbody>",ye,U,at='If you want to add additional attributes to your dataset such as the class labels, you can subclass the base <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a> class. There are two ways to populate the attributes of a <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a> class or subclass:',ke,j,st='<li><p>Provide a list of predefined <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a> class (or subclass) instances in the datasets <code>DatasetBuilder.BUILDER_CONFIGS()</code> attribute.</p></li> <li><p>When you call <a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a>, any keyword arguments that are not specific to the method will be used to set the associated attributes of the <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a> class. This will override the predefined attributes if a specific configuration was selected.</p></li>',$e,G,it='You can also set the <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.BuilderConfig">DatasetBuilder.BUILDER_CONFIG_CLASS</a> to any custom subclass of <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a>.',Le,N,Ce,W,dt='<a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a> accesses all the attributes inside <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a> to build the actual dataset.',xe,T,lt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/datasetbuilder.png"/>',Me,z,nt='There are three main methods in <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a>:',He,O,ot='<li><p><code>DatasetBuilder._info()</code> is in charge of defining the dataset attributes. When you call <code>dataset.info</code>, 🤗 Datasets returns the information stored here. Likewise, the <a href="/docs/datasets/v2.14.7/en/package_reference/main_classes#datasets.Features">Features</a> are also specified here. Remember, the <a href="/docs/datasets/v2.14.7/en/package_reference/main_classes#datasets.Features">Features</a> are like the skeleton of the dataset. It provides the names and types of each column.</p></li> <li><p><code>DatasetBuilder._split_generator</code> downloads or retrieves the requested data files, organizes them into splits, and defines specific arguments for the generation process. This method has a <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.DownloadManager">DownloadManager</a> that downloads files or fetches them from your local filesystem. Within the <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.DownloadManager">DownloadManager</a>, there is a <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.DownloadManager.download_and_extract">DownloadManager.download_and_extract()</a> method that accepts a dictionary of URLs to the original data files, and downloads the requested files. Accepted inputs include: a single URL or path, or a list/dictionary of URLs or paths. Any compressed file types like TAR, GZIP and ZIP archives will be automatically extracted.</p> <p>Once the files are downloaded, <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.SplitGenerator">SplitGenerator</a> organizes them into splits. The <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.SplitGenerator">SplitGenerator</a> contains the name of the split, and any keyword arguments that are provided to the <code>DatasetBuilder._generate_examples</code> method. The keyword arguments can be specific to each split, and typically comprise at least the local path to the data files for each split.</p></li> <li><p><code>DatasetBuilder._generate_examples</code> reads and parses the data files for a split. Then it yields dataset examples according to the format specified in the <code>features</code> from <code>DatasetBuilder._info()</code>. The input of <code>DatasetBuilder._generate_examples</code> is actually the <code>filepath</code> provided in the keyword arguments of the last method.</p> <p>The dataset is generated with a Python generator, which doesn’t load all the data in memory. As a result, the generator can handle large datasets. However, before the generated samples are flushed to the dataset file on disk, they are stored in an <code>ArrowWriter</code> buffer. This means the generated samples are written by batch. If your dataset samples consumes a lot of memory (images or videos), then make sure to specify a low value for the <code>DEFAULT_WRITER_BATCH_SIZE</code> attribute in <a href="/docs/datasets/v2.14.7/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a>. We recommend not exceeding a size of 200 MB.</p></li>',Be,J,De,V,rt='To ensure a dataset is complete, <a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a> will perform a series of tests on the downloaded files to make sure everything is there. This way, you don’t encounter any surprises when your requested dataset doesn’t get generated as expected. <a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a> verifies:',Pe,Z,ft="<li>The number of splits in the generated <code>DatasetDict</code>.</li> <li>The number of samples in each split of the generated <code>DatasetDict</code>.</li> <li>The list of downloaded files.</li> <li>The SHA256 checksums of the downloaded files (disabled by defaut).</li>",qe,Y,ct="If the dataset doesn’t pass the verifications, it is likely that the original host of the dataset made some changes in the data files.",Se,y,Ae,Q,ut=`In this case, an error is raised to alert that the dataset has changed.
To ignore the error, one needs to specify <code>verification_mode=&quot;no_checks&quot;</code> in <a href="/docs/datasets/v2.14.7/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a>.
Anytime you see a verification error, feel free to open a discussion or pull request in the corresponding dataset “Community” tab, so that the integrity checks for that dataset are updated.`,Ie,K,Ee,X,ht='The dataset repositories on the Hub are scanned for malware, see more information <a href="https://huggingface.co/docs/hub/security#malware-scanning" rel="nofollow">here</a>.',Fe,ee,pt=`Moreover the datasets without a namespace (originally contributed on our GitHub repository) have all been reviewed by our maintainers.
The code of these datasets is considered <strong>safe</strong>.
It concerns datasets that are not under a namespace, e.g. “squad” or “glue”, unlike the other datasets that are named “username/dataset_name” or “org/dataset_name”.`,Re,se,Ue;return k=new te({props:{title:"Build and load",local:"build-and-load",headingTag:"h1"}}),L=new te({props:{title:"ELI5: load_dataset",local:"eli5-loaddataset",headingTag:"h2"}}),b=new vt({props:{$$slots:{default:[xt]},$$scope:{ctx:ae}}}),A=new te({props:{title:"Building a dataset",local:"building-a-dataset",headingTag:"h2"}}),E=new te({props:{title:"BuilderConfig",local:"datasets-builderconfig",headingTag:"h3"}}),N=new te({props:{title:"DatasetBuilder",local:"datasets-datasetbuilder",headingTag:"h3"}}),J=new te({props:{title:"Maintaining integrity",local:"maintaining-integrity",headingTag:"h2"}}),y=new vt({props:{$$slots:{default:[Mt]},$$scope:{ctx:ae}}}),K=new te({props:{title:"Security",local:"security",headingTag:"h2"}}),{c(){r=l("meta"),c=i(),f=l("p"),v=i(),u(k.$$.fragment),ie=i(),$=l("p"),$.innerHTML=Ge,de=i(),u(L.$$.fragment),le=i(),C=l("p"),C.textContent=Ne,ne=i(),x=l("p"),x.textContent=We,oe=i(),M=l("ul"),M.innerHTML=ze,re=i(),H=l("p"),H.innerHTML=Oe,fe=i(),B=l("p"),B.innerHTML=Je,ce=i(),D=l("ul"),D.innerHTML=Ve,ue=i(),P=l("p"),P.innerHTML=Ze,he=i(),u(b.$$.fragment),pe=i(),q=l("p"),q.textContent=Ye,me=i(),S=l("p"),S.textContent=Qe,ge=i(),u(A.$$.fragment),_e=i(),I=l("p"),I.innerHTML=Ke,ve=i(),w=l("div"),w.innerHTML=Xe,be=i(),u(E.$$.fragment),we=i(),F=l("p"),F.innerHTML=et,Te=i(),R=l("table"),R.innerHTML=tt,ye=i(),U=l("p"),U.innerHTML=at,ke=i(),j=l("ul"),j.innerHTML=st,$e=i(),G=l("p"),G.innerHTML=it,Le=i(),u(N.$$.fragment),Ce=i(),W=l("p"),W.innerHTML=dt,xe=i(),T=l("div"),T.innerHTML=lt,Me=i(),z=l("p"),z.innerHTML=nt,He=i(),O=l("ol"),O.innerHTML=ot,Be=i(),u(J.$$.fragment),De=i(),V=l("p"),V.innerHTML=rt,Pe=i(),Z=l("ul"),Z.innerHTML=ft,qe=i(),Y=l("p"),Y.textContent=ct,Se=i(),u(y.$$.fragment),Ae=i(),Q=l("p"),Q.innerHTML=ut,Ie=i(),u(K.$$.fragment),Ee=i(),X=l("p"),X.innerHTML=ht,Fe=i(),ee=l("p"),ee.innerHTML=pt,Re=i(),se=l("p"),this.h()},l(e){const t=$t("svelte-u9bgzb",document.head);r=n(t,"META",{name:!0,content:!0}),t.forEach(a),c=d(e),f=n(e,"P",{}),_t(f).forEach(a),v=d(e),h(k.$$.fragment,e),ie=d(e),$=n(e,"P",{"data-svelte-h":!0}),o($)!=="svelte-1vlw2a3"&&($.innerHTML=Ge),de=d(e),h(L.$$.fragment,e),le=d(e),C=n(e,"P",{"data-svelte-h":!0}),o(C)!=="svelte-1et77y"&&(C.textContent=Ne),ne=d(e),x=n(e,"P",{"data-svelte-h":!0}),o(x)!=="svelte-gersvb"&&(x.textContent=We),oe=d(e),M=n(e,"UL",{"data-svelte-h":!0}),o(M)!=="svelte-mtskvn"&&(M.innerHTML=ze),re=d(e),H=n(e,"P",{"data-svelte-h":!0}),o(H)!=="svelte-18xpqbh"&&(H.innerHTML=Oe),fe=d(e),B=n(e,"P",{"data-svelte-h":!0}),o(B)!=="svelte-1fjh9np"&&(B.innerHTML=Je),ce=d(e),D=n(e,"UL",{"data-svelte-h":!0}),o(D)!=="svelte-1ue9ezc"&&(D.innerHTML=Ve),ue=d(e),P=n(e,"P",{"data-svelte-h":!0}),o(P)!=="svelte-li06z7"&&(P.innerHTML=Ze),he=d(e),h(b.$$.fragment,e),pe=d(e),q=n(e,"P",{"data-svelte-h":!0}),o(q)!=="svelte-iduykv"&&(q.textContent=Ye),me=d(e),S=n(e,"P",{"data-svelte-h":!0}),o(S)!=="svelte-1jl5e53"&&(S.textContent=Qe),ge=d(e),h(A.$$.fragment,e),_e=d(e),I=n(e,"P",{"data-svelte-h":!0}),o(I)!=="svelte-11n97r4"&&(I.innerHTML=Ke),ve=d(e),w=n(e,"DIV",{class:!0,"data-svelte-h":!0}),o(w)!=="svelte-1adyav4"&&(w.innerHTML=Xe),be=d(e),h(E.$$.fragment,e),we=d(e),F=n(e,"P",{"data-svelte-h":!0}),o(F)!=="svelte-10ac8rl"&&(F.innerHTML=et),Te=d(e),R=n(e,"TABLE",{"data-svelte-h":!0}),o(R)!=="svelte-fm8v6i"&&(R.innerHTML=tt),ye=d(e),U=n(e,"P",{"data-svelte-h":!0}),o(U)!=="svelte-1nm3gcy"&&(U.innerHTML=at),ke=d(e),j=n(e,"UL",{"data-svelte-h":!0}),o(j)!=="svelte-19a1suc"&&(j.innerHTML=st),$e=d(e),G=n(e,"P",{"data-svelte-h":!0}),o(G)!=="svelte-n77z2t"&&(G.innerHTML=it),Le=d(e),h(N.$$.fragment,e),Ce=d(e),W=n(e,"P",{"data-svelte-h":!0}),o(W)!=="svelte-1c33yr"&&(W.innerHTML=dt),xe=d(e),T=n(e,"DIV",{class:!0,"data-svelte-h":!0}),o(T)!=="svelte-11mt2nw"&&(T.innerHTML=lt),Me=d(e),z=n(e,"P",{"data-svelte-h":!0}),o(z)!=="svelte-1oik7f8"&&(z.innerHTML=nt),He=d(e),O=n(e,"OL",{"data-svelte-h":!0}),o(O)!=="svelte-843ne8"&&(O.innerHTML=ot),Be=d(e),h(J.$$.fragment,e),De=d(e),V=n(e,"P",{"data-svelte-h":!0}),o(V)!=="svelte-qeqoeh"&&(V.innerHTML=rt),Pe=d(e),Z=n(e,"UL",{"data-svelte-h":!0}),o(Z)!=="svelte-g3c4q3"&&(Z.innerHTML=ft),qe=d(e),Y=n(e,"P",{"data-svelte-h":!0}),o(Y)!=="svelte-1m6pq65"&&(Y.textContent=ct),Se=d(e),h(y.$$.fragment,e),Ae=d(e),Q=n(e,"P",{"data-svelte-h":!0}),o(Q)!=="svelte-1jkdx6o"&&(Q.innerHTML=ut),Ie=d(e),h(K.$$.fragment,e),Ee=d(e),X=n(e,"P",{"data-svelte-h":!0}),o(X)!=="svelte-p38c5d"&&(X.innerHTML=ht),Fe=d(e),ee=n(e,"P",{"data-svelte-h":!0}),o(ee)!=="svelte-1qoxqaa"&&(ee.innerHTML=pt),Re=d(e),se=n(e,"P",{}),_t(se).forEach(a),this.h()},h(){je(r,"name","hf:doc:metadata"),je(r,"content",Bt),je(w,"class","flex justify-center"),je(T,"class","flex justify-center")},m(e,t){Lt(document.head,r),s(e,c,t),s(e,f,t),s(e,v,t),p(k,e,t),s(e,ie,t),s(e,$,t),s(e,de,t),p(L,e,t),s(e,le,t),s(e,C,t),s(e,ne,t),s(e,x,t),s(e,oe,t),s(e,M,t),s(e,re,t),s(e,H,t),s(e,fe,t),s(e,B,t),s(e,ce,t),s(e,D,t),s(e,ue,t),s(e,P,t),s(e,he,t),p(b,e,t),s(e,pe,t),s(e,q,t),s(e,me,t),s(e,S,t),s(e,ge,t),p(A,e,t),s(e,_e,t),s(e,I,t),s(e,ve,t),s(e,w,t),s(e,be,t),p(E,e,t),s(e,we,t),s(e,F,t),s(e,Te,t),s(e,R,t),s(e,ye,t),s(e,U,t),s(e,ke,t),s(e,j,t),s(e,$e,t),s(e,G,t),s(e,Le,t),p(N,e,t),s(e,Ce,t),s(e,W,t),s(e,xe,t),s(e,T,t),s(e,Me,t),s(e,z,t),s(e,He,t),s(e,O,t),s(e,Be,t),p(J,e,t),s(e,De,t),s(e,V,t),s(e,Pe,t),s(e,Z,t),s(e,qe,t),s(e,Y,t),s(e,Se,t),p(y,e,t),s(e,Ae,t),s(e,Q,t),s(e,Ie,t),p(K,e,t),s(e,Ee,t),s(e,X,t),s(e,Fe,t),s(e,ee,t),s(e,Re,t),s(e,se,t),Ue=!0},p(e,[t]){const mt={};t&2&&(mt.$$scope={dirty:t,ctx:e}),b.$set(mt);const gt={};t&2&&(gt.$$scope={dirty:t,ctx:e}),y.$set(gt)},i(e){Ue||(m(k.$$.fragment,e),m(L.$$.fragment,e),m(b.$$.fragment,e),m(A.$$.fragment,e),m(E.$$.fragment,e),m(N.$$.fragment,e),m(J.$$.fragment,e),m(y.$$.fragment,e),m(K.$$.fragment,e),Ue=!0)},o(e){g(k.$$.fragment,e),g(L.$$.fragment,e),g(b.$$.fragment,e),g(A.$$.fragment,e),g(E.$$.fragment,e),g(N.$$.fragment,e),g(J.$$.fragment,e),g(y.$$.fragment,e),g(K.$$.fragment,e),Ue=!1},d(e){e&&(a(c),a(f),a(v),a(ie),a($),a(de),a(le),a(C),a(ne),a(x),a(oe),a(M),a(re),a(H),a(fe),a(B),a(ce),a(D),a(ue),a(P),a(he),a(pe),a(q),a(me),a(S),a(ge),a(_e),a(I),a(ve),a(w),a(be),a(we),a(F),a(Te),a(R),a(ye),a(U),a(ke),a(j),a($e),a(G),a(Le),a(Ce),a(W),a(xe),a(T),a(Me),a(z),a(He),a(O),a(Be),a(De),a(V),a(Pe),a(Z),a(qe),a(Y),a(Se),a(Ae),a(Q),a(Ie),a(Ee),a(X),a(Fe),a(ee),a(Re),a(se)),a(r),_(k,e),_(L,e),_(b,e),_(A,e),_(E,e),_(N,e),_(J,e),_(y,e),_(K,e)}}}const Bt='{"title":"Build and load","local":"build-and-load","sections":[{"title":"ELI5: load_dataset","local":"eli5-loaddataset","sections":[],"depth":2},{"title":"Building a dataset","local":"building-a-dataset","sections":[{"title":"BuilderConfig","local":"datasets-builderconfig","sections":[],"depth":3},{"title":"DatasetBuilder","local":"datasets-datasetbuilder","sections":[],"depth":3}],"depth":2},{"title":"Maintaining integrity","local":"maintaining-integrity","sections":[],"depth":2},{"title":"Security","local":"security","sections":[],"depth":2}],"depth":1}';function Dt(ae){return Tt(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=Ct}),[]}class It extends yt{constructor(r){super(),kt(this,r,Dt,Ht,wt,{})}}export{It as component};
